# coding: utf-8
# This is the model after cleaning tables without Size 0 bytes

from sqlalchemy import BigInteger, Boolean, CheckConstraint, Column, Date, DateTime, Integer, MetaData, SmallInteger, String, Table, Text, text

metadata = MetaData()


t_auth_group = Table(
    'auth_group', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('auth_group_id_seq'::regclass)")),
    Column('name', String(80), nullable=False)
)


t_auth_permission = Table(
    'auth_permission', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('auth_permission_id_seq'::regclass)")),
    Column('name', String(255), nullable=False),
    Column('content_type_id', Integer, nullable=False),
    Column('codename', String(100), nullable=False)
)


t_authtoken_token = Table(
    'authtoken_token', metadata,
    Column('key', String(40), nullable=False),
    Column('created', DateTime(True), nullable=False),
    Column('user_id', Integer, nullable=False)
)


t_bindings_releasedistgitmapping = Table(
    'bindings_releasedistgitmapping', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('bindings_releasedistgitmapping_id_seq'::regclass)")),
    Column('dist_git_branch', String(200), nullable=False),
    Column('release_id', Integer, nullable=False)
)


t_changeset_change = Table(
    'changeset_change', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('changeset_change_id_seq'::regclass)")),
    Column('target_class', String(200), nullable=False),
    Column('target_id', Integer, nullable=False),
    Column('old_value', Text, nullable=False),
    Column('new_value', Text, nullable=False),
    Column('changeset_id', Integer, nullable=False),
    CheckConstraint('target_id >= 0')
)


t_changeset_changeset = Table(
    'changeset_changeset', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('changeset_changeset_id_seq'::regclass)")),
    Column('committed_on', DateTime(True), nullable=False),
    Column('author_id', Integer),
    Column('comment', Text),
    Column('requested_on', DateTime(True), nullable=False)
)


t_common_arch = Table(
    'common_arch', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('common_arch_id_seq'::regclass)")),
    Column('name', String(50), nullable=False)
)


t_common_sigkey = Table(
    'common_sigkey', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('common_sigkey_id_seq'::regclass)")),
    Column('key_id', String(20), nullable=False),
    Column('name', String(50)),
    Column('description', String(100), nullable=False)
)


t_component_globalcomponent = Table(
    'component_globalcomponent', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('component_globalcomponent_id_seq'::regclass)")),
    Column('name', String(100), nullable=False),
    Column('dist_git_path', String(200)),
    Column('upstream_id', Integer)
)


t_component_grouptype = Table(
    'component_grouptype', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('component_grouptype_id_seq'::regclass)")),
    Column('name', String(100), nullable=False),
    Column('description', String(200))
)


t_component_releasecomponent = Table(
    'component_releasecomponent', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('component_releasecomponent_id_seq'::regclass)")),
    Column('name', String(100), nullable=False),
    Column('dist_git_branch', String(100)),
    Column('brew_package', String(100)),
    Column('active', Boolean, nullable=False),
    Column('bugzilla_component_id', Integer),
    Column('global_component_id', Integer, nullable=False),
    Column('release_id', Integer, nullable=False),
    Column('type_id', Integer, nullable=False)
)


t_component_releasecomponentgroup = Table(
    'component_releasecomponentgroup', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('component_releasecomponentgroup_id_seq'::regclass)")),
    Column('description', String(200), nullable=False),
    Column('group_type_id', Integer, nullable=False),
    Column('release_id', Integer, nullable=False)
)


t_component_releasecomponentrelationship = Table(
    'component_releasecomponentrelationship', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('component_releasecomponentrelationship_id_seq'::regclass)")),
    Column('from_component_id', Integer, nullable=False),
    Column('relation_type_id', Integer, nullable=False),
    Column('to_component_id', Integer, nullable=False)
)


t_component_releasecomponentrelationshiptype = Table(
    'component_releasecomponentrelationshiptype', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('component_releasecomponentrelationshiptype_id_seq'::regclass)")),
    Column('name', String(100), nullable=False)
)


t_component_releasecomponenttype = Table(
    'component_releasecomponenttype', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('component_releasecomponenttype_id_seq'::regclass)")),
    Column('name', String(100), nullable=False),
    Column('has_osbs', Boolean, nullable=False)
)


t_componentbranch_componentbranch = Table(
    'componentbranch_componentbranch', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('componentbranch_componentbranch_id_seq'::regclass)")),
    Column('name', String(300), nullable=False),
    Column('global_component_id', Integer, nullable=False),
    Column('type_id', Integer, nullable=False),
    Column('critical_path', Boolean, nullable=False)
)


t_componentbranch_sla = Table(
    'componentbranch_sla', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('componentbranch_sla_id_seq'::regclass)")),
    Column('name', String(300), nullable=False),
    Column('description', Text, nullable=False)
)


t_componentbranch_slatocomponentbranch = Table(
    'componentbranch_slatocomponentbranch', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('componentbranch_slatocomponentbranch_id_seq'::regclass)")),
    Column('eol', Date, nullable=False),
    Column('branch_id', Integer, nullable=False),
    Column('sla_id', Integer, nullable=False)
)


t_compose_compose = Table(
    'compose_compose', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_compose_id_seq'::regclass)")),
    Column('compose_id', String(200), nullable=False),
    Column('compose_date', Date, nullable=False),
    Column('compose_respin', Integer, nullable=False),
    Column('compose_label', String(200)),
    Column('dt_imported', DateTime(True), nullable=False),
    Column('deleted', Boolean, nullable=False),
    Column('acceptance_testing_id', Integer, nullable=False),
    Column('compose_type_id', Integer, nullable=False),
    Column('release_id', Integer, nullable=False),
    CheckConstraint('compose_respin >= 0')
)


t_compose_composeacceptancetestingstate = Table(
    'compose_composeacceptancetestingstate', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_composeacceptancetestingstate_id_seq'::regclass)")),
    Column('name', String(200), nullable=False)
)


t_compose_composeimage = Table(
    'compose_composeimage', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_composeimage_id_seq'::regclass)")),
    Column('image_id', Integer, nullable=False),
    Column('variant_arch_id', Integer, nullable=False),
    Column('path_id', Integer, nullable=False),
    Column('rtt_test_result_id', Integer, nullable=False)
)


t_compose_composerelpath = Table(
    'compose_composerelpath', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_composerelpath_id_seq'::regclass)")),
    Column('path', String(2000), nullable=False),
    Column('arch_id', Integer, nullable=False),
    Column('compose_id', Integer, nullable=False),
    Column('type_id', Integer, nullable=False),
    Column('variant_id', Integer, nullable=False)
)


t_compose_composerpm = Table(
    'compose_composerpm', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_composerpm_id_seq'::regclass)")),
    Column('content_category_id', Integer, nullable=False),
    Column('path_id', Integer, nullable=False),
    Column('rpm_id', Integer, nullable=False),
    Column('sigkey_id', Integer),
    Column('variant_arch_id', Integer, nullable=False)
)


t_compose_composetype = Table(
    'compose_composetype', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_composetype_id_seq'::regclass)")),
    Column('name', String(200), nullable=False)
)


t_compose_path = Table(
    'compose_path', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_path_id_seq'::regclass)")),
    Column('path', String(4096), nullable=False)
)


t_compose_pathtype = Table(
    'compose_pathtype', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_pathtype_id_seq'::regclass)")),
    Column('name', String(255), nullable=False)
)


t_compose_variant = Table(
    'compose_variant', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_variant_id_seq'::regclass)")),
    Column('variant_id', String(100), nullable=False),
    Column('variant_uid', String(200), nullable=False),
    Column('variant_name', String(300), nullable=False),
    Column('deleted', Boolean, nullable=False),
    Column('compose_id', Integer, nullable=False),
    Column('variant_type_id', Integer, nullable=False)
)


t_compose_variantarch = Table(
    'compose_variantarch', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('compose_variantarch_id_seq'::regclass)")),
    Column('deleted', Boolean, nullable=False),
    Column('arch_id', Integer, nullable=False),
    Column('variant_id', Integer, nullable=False),
    Column('rtt_testing_status_id', Integer, nullable=False)
)


t_django_admin_log = Table(
    'django_admin_log', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('django_admin_log_id_seq'::regclass)")),
    Column('action_time', DateTime(True), nullable=False),
    Column('object_id', Text),
    Column('object_repr', String(200), nullable=False),
    Column('action_flag', SmallInteger, nullable=False),
    Column('change_message', Text, nullable=False),
    Column('content_type_id', Integer),
    Column('user_id', Integer, nullable=False),
    CheckConstraint('action_flag >= 0')
)


t_django_content_type = Table(
    'django_content_type', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('django_content_type_id_seq'::regclass)")),
    Column('app_label', String(100), nullable=False),
    Column('model', String(100), nullable=False)
)


t_django_migrations = Table(
    'django_migrations', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('django_migrations_id_seq'::regclass)")),
    Column('app', String(255), nullable=False),
    Column('name', String(255), nullable=False),
    Column('applied', DateTime(True), nullable=False)
)


t_django_session = Table(
    'django_session', metadata,
    Column('session_key', String(40), nullable=False),
    Column('session_data', Text, nullable=False),
    Column('expire_date', DateTime(True), nullable=False)
)


t_kerb_auth_actionpermission = Table(
    'kerb_auth_actionpermission', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('kerb_auth_actionpermission_id_seq'::regclass)")),
    Column('name', String(100), nullable=False)
)


t_kerb_auth_resource = Table(
    'kerb_auth_resource', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('kerb_auth_resource_id_seq'::regclass)")),
    Column('name', String(500), nullable=False),
    Column('view', String(1000), nullable=False)
)


t_kerb_auth_resourcepermission = Table(
    'kerb_auth_resourcepermission', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('kerb_auth_resourcepermission_id_seq'::regclass)")),
    Column('permission_id', Integer, nullable=False),
    Column('resource_id', Integer, nullable=False)
)


t_kerb_auth_user = Table(
    'kerb_auth_user', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('kerb_auth_user_id_seq'::regclass)")),
    Column('password', String(128), nullable=False),
    Column('last_login', DateTime(True)),
    Column('is_superuser', Boolean, nullable=False),
    Column('username', String(255), nullable=False),
    Column('email', String(254), nullable=False),
    Column('is_staff', Boolean, nullable=False),
    Column('is_active', Boolean, nullable=False),
    Column('date_joined', DateTime(True), nullable=False),
    Column('last_connected', DateTime(True)),
    Column('full_name', String(80), nullable=False)
)


t_kerb_auth_user_groups = Table(
    'kerb_auth_user_groups', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('kerb_auth_user_groups_id_seq'::regclass)")),
    Column('user_id', Integer, nullable=False),
    Column('group_id', Integer, nullable=False)
)


t_module_builddependency = Table(
    'module_builddependency', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('module_builddependency_id_seq'::regclass)")),
    Column('dependency', String(300), nullable=False),
    Column('variant_id', Integer, nullable=False),
    Column('stream', String(300), nullable=False)
)


t_module_module = Table(
    'module_module', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('module_unreleasedvariant_id_seq'::regclass)")),
    Column('variant_id', String(100), nullable=False),
    Column('uid', String(610), nullable=False),
    Column('name', String(300), nullable=False),
    Column('type', String(100), nullable=False),
    Column('stream', String(100), nullable=False),
    Column('version', String(100), nullable=False),
    Column('koji_tag', String(300), nullable=False),
    Column('modulemd', Text, nullable=False),
    Column('active', Boolean, nullable=False),
    Column('context', String(100), nullable=False)
)


t_module_module_rpms = Table(
    'module_module_rpms', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('module_unreleasedvariant_rpms_id_seq'::regclass)")),
    Column('module_id', Integer, nullable=False),
    Column('rpm_id', Integer, nullable=False)
)


t_module_runtimedependency = Table(
    'module_runtimedependency', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('module_runtimedependency_id_seq'::regclass)")),
    Column('dependency', String(300), nullable=False),
    Column('variant_id', Integer, nullable=False),
    Column('stream', String(300), nullable=False)
)


t_package_image = Table(
    'package_image', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('package_image_id_seq'::regclass)")),
    Column('file_name', String(200), nullable=False),
    Column('disc_number', Integer, nullable=False),
    Column('disc_count', Integer, nullable=False),
    Column('arch', String(200), nullable=False),
    Column('mtime', BigInteger, nullable=False),
    Column('size', BigInteger, nullable=False),
    Column('bootable', Boolean, nullable=False),
    Column('implant_md5', String(32)),
    Column('volume_id', String(32)),
    Column('md5', String(32)),
    Column('sha1', String(40)),
    Column('sha256', String(64), nullable=False),
    Column('image_format_id', Integer, nullable=False),
    Column('image_type_id', Integer, nullable=False),
    Column('subvariant', String(4096), nullable=False),
    CheckConstraint('disc_count >= 0'),
    CheckConstraint('disc_number >= 0')
)


t_package_imageformat = Table(
    'package_imageformat', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('package_imageformat_id_seq'::regclass)")),
    Column('name', String(30), nullable=False)
)


t_package_imagetype = Table(
    'package_imagetype', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('package_imagetype_id_seq'::regclass)")),
    Column('name', String(30), nullable=False)
)


t_package_rpm = Table(
    'package_rpm', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('package_rpm_id_seq'::regclass)")),
    Column('name', String(200), nullable=False),
    Column('epoch', Integer, nullable=False),
    Column('version', String(200), nullable=False),
    Column('release', String(200), nullable=False),
    Column('arch', String(200), nullable=False),
    Column('srpm_name', String(200), nullable=False),
    Column('srpm_nevra', String(200)),
    Column('filename', String(4096), nullable=False),
    Column('built_for_release_id', Integer),
    Column('srpm_commit_branch', String(200)),
    Column('srpm_commit_hash', String(200)),
    CheckConstraint('epoch >= 0')
)


t_release_product = Table(
    'release_product', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('release_product_id_seq'::regclass)")),
    Column('name', String(200), nullable=False),
    Column('short', String(200), nullable=False)
)


t_release_productversion = Table(
    'release_productversion', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('release_productversion_id_seq'::regclass)")),
    Column('name', String(200), nullable=False),
    Column('short', String(200), nullable=False),
    Column('version', String(200), nullable=False),
    Column('product_version_id', String(200), nullable=False),
    Column('product_id', Integer, nullable=False)
)


t_release_release = Table(
    'release_release', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('release_release_id_seq'::regclass)")),
    Column('release_id', String(200), nullable=False),
    Column('short', String(200), nullable=False),
    Column('version', String(200), nullable=False),
    Column('name', String(255), nullable=False),
    Column('active', Boolean, nullable=False),
    Column('base_product_id', Integer),
    Column('integrated_with_id', Integer),
    Column('product_version_id', Integer),
    Column('release_type_id', Integer, nullable=False),
    Column('sigkey_id', Integer),
    Column('allow_buildroot_push', Boolean, nullable=False)
)


t_release_releasetype = Table(
    'release_releasetype', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('release_releasetype_id_seq'::regclass)")),
    Column('short', String(255), nullable=False),
    Column('name', String(255), nullable=False),
    Column('suffix', String(255), nullable=False)
)


t_release_varianttype = Table(
    'release_varianttype', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('release_varianttype_id_seq'::regclass)")),
    Column('name', String(100), nullable=False)
)


t_repository_contentcategory = Table(
    'repository_contentcategory', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('repository_contentcategory_id_seq'::regclass)")),
    Column('name', String(50), nullable=False),
    Column('description', String(200), nullable=False)
)


t_repository_contentformat = Table(
    'repository_contentformat', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('repository_contentformat_id_seq'::regclass)")),
    Column('name', String(50), nullable=False),
    Column('description', String(200), nullable=False),
    Column('pdc_endpoint', String(200))
)


t_repository_repofamily = Table(
    'repository_repofamily', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('repository_repofamily_id_seq'::regclass)")),
    Column('name', String(50), nullable=False),
    Column('description', String(200), nullable=False)
)


t_repository_service = Table(
    'repository_service', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('repository_service_id_seq'::regclass)")),
    Column('name', String(50), nullable=False),
    Column('description', String(200), nullable=False)
)


t_usage_resourceusage = Table(
    'usage_resourceusage', metadata,
    Column('id', Integer, nullable=False, server_default=text("nextval('usage_resourceusage_id_seq'::regclass)")),
    Column('resource', String(300), nullable=False),
    Column('method', String(10), nullable=False),
    Column('time', DateTime(True), nullable=False),
    Column('user_id', Integer)
)
